/* Copyright (C) 2000 Decision Computer International, Inc.,
   This file is part of the Decision PCCOM development tool

   The pcomLCDdisplay.c is an example source code using the 
   development tool. It demonstrate how to control LCD Display
   using Decision PCCOM Serial cards. 

   The pcomLCDdisplay.c is distributed in the hope that it will 
   be useful, but WITHOUT ANY WARRANTY; without even the implied
   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
   See the GNU Library General Public License for more details. 
 
   -Armz27
*/
#include <stdio.h>
#include "libpccomprof.h"

int initReturn, openReturn, closeReturn;
size_t txReturn; /* unsigned int txReturn; */
int intFlushOut, intFlushIn;

void StartOperation()
{
 openReturn = commopen("/dev/ttyS0");
 printf("commopen return %i\n\n", openReturn);
 sleep(1);

 initReturn = comminit("/dev/ttyS0", 9600, 8, "no", 1, "hardware");
 printf("comminit return %i\n\n", initReturn);
 sleep(1);
}

void FlushSample()
{
 printf("Cleaning the transmit buffer....");
 intFlushOut = commflushtx("/dev/ttyS0");
 printf("... done<return: %i>\n\n",intFlushOut);
 sleep(1);
 printf("Cleaning the receive buffer....");
 intFlushIn = commflushrx("/dev/ttyS0");
 printf("... done<return: %i>\n\n",intFlushIn);
 sleep(1);
}

void Transmit2LCD()
{
int intRXCounter;
 txReturn = commtxblk("/dev/ttyS0", "Hello World", 11);
 printf("Displaying [Hello World]\n");
 printf("Return %d\n\n", txReturn);
 sleep(1);
}

void StopOperation()
{
 closeReturn = commclose("/dev/ttyS0");
 printf("commclose return %i\n\n", closeReturn);
}

int main()
{

 printf("\n\n\n\n");
 StartOperation();

 FlushSample();

 Transmit2LCD();
 
 StopOperation();
 exit(0);
}
